#!/bin/sh
# Copyright IBM Corp. 2000-2001

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Wizard Update Installer Application Launcher
#----------------------------------------------------------------------------------

# set DEBUG_INSTALL=yes to turn on debugging statements
DEBUG_INSTALL=

LaunchTitle=$0

EE50_INSTALL_ARGS=
EE50_INSTALL_CMD=
EE50_INSTALL_FILESPEC=./install
EE50_INSTALL_ARGS="-P EEX_BRB.replaceOption=0 -P EEX_CMMFeature.replaceOption=0 -P EEX_DQ.replaceOption=0 -P EEX_OS.replaceOption=0 -P EEX_SCHED.replaceOption=0 -P EEX_PCFeature.replaceOption=0 -P EEX_CORBA.replaceOption=0 -P EEX_EJBJarFilesComponent.replaceOption=0 -P EEX_PRTFilesComponent.replaceOption=0"

#----------------------------------------------------------------------------------
#  Initialization and setup
#----------------------------------------------------------------------------------
echo Start of [ "$LaunchTitle" ]
echo

echo Attempting to locate install program...

# this script takes no args.
if [ "$1" ]
    then
        echo Usage: $0	          	          	          
        exit -1
fi
    
if [ ! -f "$EE50_INSTALL_FILESPEC" ] 
    then
        if [ ! "$EE50_INSTALL_HOME" ]
            then
                echo EE50_INSTALL_HOME must be set before launching this script.
                echo Set EE50_INSTALL_HOME manually with the directory where 
                echo the install program is located \(ie: /mnt/cdrom\)
                echo        ie. set EE50_INSTALL_HOME=/mnt/cdrom
                echo
                echo Alternatively, change directory to the directory where Install is located
                echo and run this script from that location.
                exit -1
        elif [ ! -f "$EE50_INSTALL_HOME"/install ]
            then
                echo install executable could not be found under EE50_INSTALL_HOME.
                echo Please ensure that EE50_INSTALL_HOME is set to the path where install executable is located. 
                exit -1               
        fi
        
        EE50_INSTALL_FILESPEC="$EE50_INSTALL_HOME"/install
fi
	                   
#----------------------------------------------------------------------------------
# Installer execution
#----------------------------------------------------------------------------------

if [ -f "$EE50_INSTALL_FILESPEC" ] 
  then          
      EE50_INSTALL_CMD="$EE50_INSTALL_FILESPEC $EE50_INSTALL_ARGS"  
      if [ "$DEBUG_INSTALL" ] 
           then
               echo Launching $EE50_INSTALL_CMD
      else
               echo Launching $EE50_INSTALL_FILESPEC
      fi    

      $EE50_INSTALL_CMD
fi       

echo End of [ "$LaunchTitle" ]
echo 
exit 0
